<?php
require_once('clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', 'clases/xajax/');

function xExportar($varForm) {
	$varCod = (isset($varForm["cod"]) && $varForm["cod"]<>'')? $varForm["cod"]:"NULL";
	$varNom = $varForm["nam"];
	$varUsr = (isset($_SESSION["_CUSE"]))?$_SESSION["_CUSE"]:1;
	
	$sql = "call spQuery_Bonificacion($varCod,'$varNom', NULL, NULL, NULL)";
	$_SESSION["expor_sql_1"] =  $sql;
	$_SESSION["expor_sql_2"] = NULL;
	$varTitulo = (isset($varForm["titu"]))?$varForm["titu"]:"Reporte";	
	$objResponse=new xajaxResponse();
    $objResponse->redirect("export.php?page=$varTitulo");
    return $objResponse;
	}

function xExportarDetalle($varForm) {
	$varCod = (isset($varForm["cod"]) && $varForm["cod"]<>'')? $varForm["cod"]:"NULL";
	$varNom = $varForm["nam"];
	$varUsr = (isset($_SESSION["_CUSE"]))?$_SESSION["_CUSE"]:1;
	
	$sql = "call spQuery_Lista_Precios_Detalle($varCod, NULL, NULL)";
	$_SESSION["expor_sql_1"] =  $sql;
	$_SESSION["expor_sql_2"] = NULL;
	$varTitulo = (isset($varForm["titu"]))?$varForm["titu"]:"Reporte";	
	$objResponse=new xajaxResponse();
    $objResponse->redirect("export.php?page=$varTitulo");
    return $objResponse;
	}
	
function xBuscar($varForm, $varField, $varOrder) {
	$var = VarServer("MYSQLI");
	$obj = new clsBonificacion($var[0],$var[1],$var[2],$var[3],$var[4]);	
	if($varForm["opt"]=="DET")
		$varTabla = $obj->GridDatosDetalle($varForm["cod"], $varField, $varOrder);
	else
		$varTabla = $obj->GridDatos($varForm, $varField, $varOrder);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divDatos", "innerHTML", utf8_encode($varTabla));
	return $respuestaXajax;
	}

function xFormuRegistro($varOpt, $varCod) {
	$var = VarServer("MYSQLI");
	$obj = new clsBonificacion($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla = $obj->FormuRegistro($varOpt, $varCod);
	$respuestaXajax = new xajaxResponse();
	$variable = "var TabbedPanels1 = new Spry.Widget.TabbedPanels('TabbedPanels1')";	
	$respuestaXajax->assign("divForm", "innerHTML", utf8_encode($varTabla));
	$respuestaXajax->script($variable); 
	return $respuestaXajax;
	}

function xFormuDetalle($varCod) {
	$var = VarServer("MYSQLI");
	$obj = new clsBonificacion($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla = $obj->FormuDetalle($varCod);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "innerHTML", utf8_encode($varTabla));
	return $respuestaXajax;
	}
	
function xRegresar() {
	$var = VarServer("MYSQLI");
	$obj = new clsBonificacion($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla.= $obj->FormuBusqueda();
	$varTabla.= "<div id=\"divDatos\">";
	$varTabla.= $obj->GridDatos();		
	$varTabla.= "</div>";
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "innerHTML", utf8_encode($varTabla));
	return $respuestaXajax;
	}
function xGrabar($varForm) {
	$var = VarServer("MYSQLI");
	$obj = new clsBonificacion($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varResul = $obj->ProcesoGrabar($varForm);
	$respuestaXajax = new xajaxResponse();
	if ($varResul=="OK") {
		$varTabla.= $obj->FormuBusqueda();
		$varTabla.= "<div id=\"divDatos\">";
		$varTabla.= $obj->GridDatos();		
		$varTabla.= "</div>";
		$respuestaXajax->assign("divForm", "innerHTML", utf8_encode($varTabla));
		}
	else
		$respuestaXajax->alert("ERROR AL PROCESAR DATOS...!!!!!\n".$varResul."\nVERIFIQUE LOS DATOS POR FAVOR");
		
	return $respuestaXajax;
	}

function xGrabarDetalle($varForm) {
	$var = VarServer("MYSQLI");
	$obj = new clsBonificacion($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varResul = $obj->ProcesoGrabarDetalle($varForm);
	$respuestaXajax = new xajaxResponse();
	if ($varResul=="OK") {
		$varTabla.= $obj->FormuDetalle($varForm["cod"]);
		//$varTabla.= "<div id=\"divDatos\">";
		//$varTabla.= $obj->GridDatos($varForm["cod"]);		
		//$varTabla.= "</div>";
		$respuestaXajax->assign("divForm", "innerHTML", utf8_encode($varTabla));
		}
	else
		$respuestaXajax->alert("ERROR AL PROCESAR DATOS...!!!!!\n".$varResul."\nVERIFIQUE LOS DATOS POR FAVOR");
		
	return $respuestaXajax;
	}
	
function xEliminar($varCod) {
	$var = VarServer("MYSQLI");
	$obj = new clsBonificacion($var[0],$var[1],$var[2],$var[3],$var[4]);
	$obj->ProcesoEliminar($varCod);	
	return true;
	}

function xEliminarDetalle($varCod, $varLis) {
	$var = VarServer("MYSQLI");
	$obj = new clsBonificacion($var[0],$var[1],$var[2],$var[3],$var[4]);
	$obj->ProcesoEliminarDetalle($varCod, $varLis);	
	return true;
	}

$xajax->register(XAJAX_FUNCTION, 'seleccionar_producto_bonif');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_cliente_bonif');

$xajax->register(XAJAX_FUNCTION, 'xBuscar');
$xajax->register(XAJAX_FUNCTION, 'xFormuRegistro');
$xajax->register(XAJAX_FUNCTION, 'xFormuDetalle');
$xajax->register(XAJAX_FUNCTION, 'xRegresar');
$xajax->register(XAJAX_FUNCTION, 'xGrabar');
$xajax->register(XAJAX_FUNCTION, 'xGrabarDetalle');
$xajax->register(XAJAX_FUNCTION, 'xEliminar');
$xajax->register(XAJAX_FUNCTION, 'xEliminarDetalle');
$xajax->register(XAJAX_FUNCTION, 'xExportar');
$xajax->register(XAJAX_FUNCTION, 'xExportarDetalle');
$xajax->register(XAJAX_FUNCTION, 'comboSeleccion');

$xajax->processRequest();
$xajax->printJavascript("clases/xajax");
?>
<script language="javascript">		
	function xBuscarJS(varField, varOrder) {
		xajax_xBuscar(xajax.getFormValues('form'),varField, varOrder);		
		}
	function xExportarJS() {
		xajax_xExportar(xajax.getFormValues('form'));		
		}
	function xExportarDetalleJS() {
		xajax_xExportarDetalle(xajax.getFormValues('form'));		
		}
	function xGrabarJS() {
		var msj_articulo1 = "";
		var msj_articulo2 = "";
		
		//Verificamos si existe un Producto en Condiciones de Venta
		var con1 = 0;
		var varNum1  = xajax.$("num1").value;
		var varFlag1 = 0;		
		for (i=1; i<=varNum1;i++) {
			var varCod = document.getElementById('cod1'+i);
			var varNom = document.getElementById('nom1'+i);
			var varCan = document.getElementById('qcan1'+i);		
			if(varCod) {
				varFlag1 = varFlag1 + 1;
				if(varCod.value=="" && con1==0) {
					msj_articulo1 = "FALTA SELECCIONAR ALGUN ARTICULO EN REGLAS Y CONDICIONES DE VENTA\n";
					con1++;
					}
				if(parseFloat(varCan.value) <= 0  || varCan.value=='' && varCod.value!="") {
					msj_articulo1 = msj_articulo1 + "PRODUCTO : " + varCod.value + ' - ' + varNom.value + ' -> FALTA ESPECIFICAR CANTIDAD\n';
					}
				}
			}
		
		//Verificamos si existe un Producto en Bonificaciones
		var con2 = 0;
		var varNum2  = xajax.$("num2").value;
		var varFlag2 = 0;		
		for (i=1; i<=varNum2;i++) {
			var varCod = document.getElementById('cod2'+i);
			var varNom = document.getElementById('nom2'+i);
			var varCan = document.getElementById('qcan2'+i);		
			if(varCod) {
				varFlag2 = varFlag2 + 1;
				if(varCod.value=="" && con2==0) {
					msj_articulo2 = "FALTA SELECCIONAR ALGUN ARTICULO EN PRODUCTOS A BONIFICAR\n";
					con2++;
					}
				if(parseFloat(varCan.value) <= 0  || varCan.value=='' && varCod.value!="") {
					msj_articulo2 = msj_articulo2 + "PRODUCTO : " + varCod.value + ' - ' + varNom.value + ' -> FALTA ESPECIFICAR CANTIDAD\n';
					}
				}
			}
				
		if (xajax.$("nam") && xajax.$("nam").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UN NOMBRE");  
			xajax.$("nam").focus();
			return (false); 
			}
		else if (xajax.$("tipo") && xajax.$("tipo").value=="Ninguno") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN TIPO DE BONIFICACION");  
			xajax.$("tipo").focus();
			return (false); 
			}
		else if (xajax.$("fini") && xajax.$("fini").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UNA FECHA DE INICIO");  
			xajax.$("fini").focus();
			return (false); 
			}
		else if (xajax.$("ffin") && xajax.$("ffin").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UNA FECHA DE TERMINO");  
			xajax.$("ffin").focus();
			return (false); 
			}
		else if (parseFloat(varFlag1)<=0) {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE AGREGAR AL MENOS UN ARTICULO EN REGLAS Y CONDICIONES DE VENTA");  
			xajax.$("btadd1").focus();
			return (false); 
			}
		else if (parseFloat(varFlag2)<=0) {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE AGREGAR AL MENOS UN ARTICULO A BONIFICAR");  
			xajax.$("btadd2").focus();
			return (false); 
			}
		else if (msj_articulo1!="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\n"+msj_articulo1)
			return (false); 
			}
		else if (msj_articulo2!="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\n"+msj_articulo2)
			return (false); 
			}
		if (confirm("¿DESE GUARDAR LOS CAMBIOS?")) {
			xajax_xGrabar(xajax.getFormValues('form'));		
			}
		}
	function xGrabarDetalleJS() {
		if (xajax.$("pcod") && xajax.$("pcod").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN PRODUCTO");  
			xajax.$("pcod").focus();
			return (false); 
			}
		else if (xajax.$("pre") && xajax.$("pre").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UN PRECIO");  
			xajax.$("pre").focus();
			return (false); 
			}
		if (confirm("¿DESE GUARDAR LOS CAMBIOS?")) {
			xajax_xGrabarDetalle(xajax.getFormValues('form'));		
			}
		}
	function xEliminarJS(varCod, varNom, varTab) {
		if(confirm('¿ESTA SEGURO DE ELIMINAR EL REGISTRO?\n====================================\nCodigo \t: '+varCod+'\nNombre \t: '+varNom)) {			
			xajax_xEliminar(varCod);
			EliminarFilaTabla(varTab)
			}
		}
		
	function xEliminarDetalleJS(varCod, varNom, varLis, varTab) {
		if(confirm('¿ESTA SEGURO DE ELIMINAR EL REGISTRO?\n====================================\nCodigo \t: '+varCod+'\nNombre \t: '+varNom)) {			
			xajax_xEliminarDetalle(varCod, varLis);
			EliminarFilaTabla(varTab)
			}	
		}
	function FormuRegistroJS(varOpt, varCod) {
		UnTip();
		xajax_xFormuRegistro(varOpt, varCod);		
		}
	function FormuDetalleJS(varCod) {
		UnTip();
		xajax_xFormuDetalle(varCod);		
		}
	function AddArticuloVenta()  {
		var vnum = document.getElementById('num1');
		var num = parseInt(vnum.value)+1;
		var miTabla = document.getElementById("tab1");
		var fila = document.createElement("tr");
		var celda1 = document.createElement("td");	
		var celda2 = document.createElement("td");
		var celda3 = document.createElement("td");
		var celda4 = document.createElement("td");
		var celda5 = document.createElement("td");
		var celda6 = document.createElement("td");
		var celda7 = document.createElement("td");
		
		fila.setAttribute("bgcolor","#F5FAFA");
		fila.setAttribute("onMouseOver","uno(this,'#FFFF33')");
		fila.setAttribute("onMouseOut","dos(this,'#F5FAFA')");
		celda1.setAttribute("align","center");	
		celda1.setAttribute("class","interior");
		celda2.setAttribute("class","interior");
		celda3.setAttribute("class","interior");
		celda4.setAttribute("align","center");
		celda4.setAttribute("class","interior");
		celda5.setAttribute("align","center");
		celda5.setAttribute("class","interior");
		celda6.setAttribute("align","center");
		celda6.setAttribute("class","interior");
		celda7.setAttribute("align","center");
		celda7.setAttribute("class","interior");
		
		celda1.innerHTML = "<input type='text' id='cod1"+num+"'  name='cod1[]'  style='width:60px;text-align:center;' onkeypress=\"return SoloEnteros(event)\" ondblclick=\"fn_cargar_listado_producto('cod1"+num+"', 'nom1"+num+"', 'um1"+num+"')\"  onblur=\"xajax_seleccionar_producto_bonif(this.value, 'cod1"+num+"', 'nom1"+num+"', 'um1"+num+"')\"  autocomplete='off' />";	
		celda2.innerHTML = "<input type='text' id='nom1"+num+"'  name='nom1[]'  style='width:310px' class='inputDisable' readonly />";
		celda3.innerHTML = "<input type='text' id='um1"+num+"'   name='um1[]'   style='width:45px;text-align:center' class='inputDisable' readonly />";
		celda4.innerHTML = "<input type='text' id='qcan1"+num+"' name='qcan1[]' style='width:45px;text-align:center;' onkeypress=\"return SoloEnteros(event)\" onkeyup=\"CalcularItem('"+num+"')\" />";
		celda5.innerHTML = "<input type='text' id='qmin1"+num+"' name='qmin1[]' style='width:45px;text-align:center;'  onkeypress=\"return SoloEnteros(event)\"/>";
		celda6.innerHTML = "<input type='text' id='qmax1"+num+"' name='qmax1[]' style='width:45px;text-align:center;'  onkeypress=\"return solonumeros(event)\"/>";
		celda7.innerHTML = "<img  src='images/b_drop.png'  onclick='EliminarFilaTabla(this)'  style='cursor:pointer'/>";
		fila.appendChild(celda1);
		fila.appendChild(celda2);
		fila.appendChild(celda3);
		fila.appendChild(celda4);
		fila.appendChild(celda5);
		fila.appendChild(celda6);
		fila.appendChild(celda7);
		miTabla.appendChild(fila);
		vnum.value=num;
		}
	
	function AddArticuloBonif()  {
		var vnum = document.getElementById('num2');
		var num = parseInt(vnum.value)+1;
		var miTabla = document.getElementById("tab2");
		var fila = document.createElement("tr");
		var celda1 = document.createElement("td");	
		var celda2 = document.createElement("td");
		var celda3 = document.createElement("td");
		var celda4 = document.createElement("td");
		var celda5 = document.createElement("td");
		var celda6 = document.createElement("td");
		
		fila.setAttribute("bgcolor","#F5FAFA");
		fila.setAttribute("onMouseOver","uno(this,'#FFFF33')");
		fila.setAttribute("onMouseOut","dos(this,'#F5FAFA')");
		celda1.setAttribute("class","interior");
		celda2.setAttribute("class","interior");
		celda3.setAttribute("class","interior");
		celda4.setAttribute("class","interior");
		celda5.setAttribute("class","interior");
		celda6.setAttribute("class","interior");
		
		celda1.innerHTML = "<input type='text' id='cod2"+num+"'  name='cod2[]'  style='width:60px;text-align:center;' onkeypress=\"return SoloEnteros(event)\" ondblclick=\"fn_cargar_listado_producto('cod2"+num+"', 'nom2"+num+"', 'um2"+num+"')\"  onblur=\"xajax_seleccionar_producto_bonif(this.value, 'cod2"+num+"', 'nom2"+num+"', 'um2"+num+"')\"   autocomplete='off' />";	
		celda2.innerHTML = "<input type='text' id='nom2"+num+"'  name='nom2[]'  style='width:360px' class='inputDisable' readonly />";	
		celda3.innerHTML = "<input type='text' id='um2"+num+"'   name='um2[]' 	style='width:45px;text-align:center;'  class='inputDisable' readonly  />";
		celda4.innerHTML = "<input type='text' id='qcan2"+num+"' name='qcan2[]' style='width:45px;text-align:center;'  onkeypress=\"return SoloNumeros(event)\" />";
		celda5.innerHTML = "<input type='text' id='qcuo2"+num+"' name='qcuo2[]' style='width:45px;text-align:center;'  onkeypress=\"return soloEnteros(event)\"  />";	
		celda6.innerHTML = "<img  src='images/b_drop.png'  onclick='EliminarFilaTabla(this)'  style='cursor:pointer'/>";
		fila.appendChild(celda1);
		fila.appendChild(celda2);
		fila.appendChild(celda3);
		fila.appendChild(celda4);
		fila.appendChild(celda5);
		fila.appendChild(celda6);
		miTabla.appendChild(fila);
		vnum.value=num;
		}

	function AddCliente()  {
		var vnum = document.getElementById('num3');
		var num = parseInt(vnum.value)+1;
		var miTabla = document.getElementById("tab3");
		var fila = document.createElement("tr");
		var celda1 = document.createElement("td");	
		var celda2 = document.createElement("td");
		var celda3 = document.createElement("td");
		var celda4 = document.createElement("td");
	
		fila.setAttribute("bgcolor","#F5FAFA");
		fila.setAttribute("onMouseOver","uno(this,'#FFFF33')");
		fila.setAttribute("onMouseOut","dos(this,'#F5FAFA')");
		celda1.setAttribute("align","center");	
		celda1.setAttribute("class","interior");
		celda2.setAttribute("class","interior");
		celda3.setAttribute("class","interior");
		celda4.setAttribute("align","center");
		celda4.setAttribute("class","interior");	
		
		celda1.innerHTML = "<input type='text' id='cod3"+num+"'  name='cod3[]'  style='width:60px;text-align:center;' onkeypress=\"return SoloEnteros(event)\" ondblclick=\"fn_cargar_listado_cliente('cod3"+num+"', 'nom3"+num+"')\"  onblur=\"xajax_seleccionar_cliente_bonif(this.value, 'cod3"+num+"', 'nom3"+num+"')\"  autocomplete='off' />";	
		celda2.innerHTML = "<input type='text' id='nom3"+num+"'  name='nom3[]'  style='width:450px' class='inputDisable' readonly />";	
		celda3.innerHTML = "<input type='text' id='qtop3"+num+"' name='qtop3[]' style='width:45px;text-align:center;'  onkeypress=\"return SoloEnteros(event)\" onkeyup=\"CalcularItem('"+num+"')\" />";	
		celda4.innerHTML = "<img  src='images/b_drop.png'  onclick='EliminarFilaTabla(this)'  style='cursor:pointer'/>";
		fila.appendChild(celda1);
		fila.appendChild(celda2);
		fila.appendChild(celda3);
		fila.appendChild(celda4);
	
		miTabla.appendChild(fila);
		vnum.value=num;
		}

</script>
<?php
function MyTable($obj, $Titulo, $Opcion, $Valor) {
	echo "<div id=\"divForm\">";
	echo $obj->FormuBusqueda();
	echo "<div id=\"divDatos\">";
	echo $obj->GridDatos();	
	echo "</div>";
	echo "</div>";	
	} 
?>